<?php

namespace App\metier;

class Alumni{

    private int $id;

    /**
     * @var string Email
     */
    private string $email;

    /**
     * @var string Mot de passe
     */
    private string $motDePasse;

    /**
     * @var String Role
     */
    private String $role;

    /**
     * @param string $email
     * @param string $motDePasse
     * @param String $role
     */
    public function __construct(int $id,string $email, string $motDePasse, String $role)
    {
        $this->id = $id;
        $this->email = $email;
        $this->motDePasse = $motDePasse;
        $this->role = $role;
    }

    /**
     * @return string
     */
    public function getEmail() : string
    {
        return $this->email;
    }

    /**
     * @return string
     */
    public function getMotDePasse(): string
    {
        return $this->motDePasse;
    }

    public function getRole(): String
    {
        return $this->role;
    }

    public function getId() : int
    {
        return $this->id;
    }
}